package com.friday.tooldriver.mapper.taieoc;

import com.friday.operation.api.tooldriver.dto.rpa.ProgramProcessReleaseDto;
import com.friday.tooldriver.po.taieoc.ReleasePo;
import org.springframework.stereotype.Repository;

@Repository
public interface ProgramProcessReleaseMapper {
    void insertRelease(ReleasePo release);
    ProgramProcessReleaseDto selectReleaseDto(Integer groupId, String processName, String version);
    ProgramProcessReleaseDto selectLatestReleaseDto(Integer groupId);
    void deleteReleaseById(Integer releaseId);
    ProgramProcessReleaseDto selectReleaseDtoById(Integer releaseId);
}
